summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVasilii Novikov2019-09-13 09:23:36 +0200
committerVasilii Novikov2019-09-13 09:23:36 +0200
commitbdee432432fb461783102433681a430a84fbaf2e (patch)
tree1df4681067b79f64fd8122b9efd69160a256998e
parent774d8bdd0d64202479d379a1f4bd2da8a278c092 (diff)
downloadaur-bdee432432fb461783102433681a430a84fbaf2e.tar.gz
remove openssl as it is no longer directly required
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD6
2 files changed, 5 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index bf1abc38c80..82b05b95c91 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = rua
pkgdesc = AUR helper in Rust providing control, review and jailed/offline build options
pkgver = 0.14.14
- pkgrel = 1
+ pkgrel = 2
url = https://github.com/vn971/rua
arch = x86_64
arch = i686
@@ -11,9 +11,8 @@ pkgbase = rua
depends = git
depends = pacman
depends = xz
- depends = openssl
- optdepends = shellcheck: to check PKGBUILD scripts, taking care of special variables
optdepends = bubblewrap-suid: version of bubblewrap that works on linux-hardened kernel
+ optdepends = shellcheck: check PKGBUILD scripts, taking care of special variables
optdepends = sudo: package installation can be done via sudo, if convenient
source = rua-0.14.14.tar.gz::https://github.com/vn971/rua/archive/0.14.14.tar.gz
sha256sums = 2351ac6e8bd76986e0860259aa74f7ed08de2a5cfff6ed596172ec41cf3c39d0
diff --git a/PKGBUILD b/PKGBUILD
index 5d7ce2a98c6..25aa0072960 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Vasia Novikov <n1dr+cmarchlinux@yaaandex.com> (replace "aaa" with "a")
pkgname=rua
pkgver=0.14.14
-pkgrel=1
+pkgrel=2
pkgdesc='AUR helper in Rust providing control, review and jailed/offline build options'
url='https://github.com/vn971/rua'
source=("${pkgname}-${pkgver}.tar.gz::https://github.com/vn971/rua/archive/${pkgver}.tar.gz")
@@ -9,10 +9,10 @@ arch=('x86_64' 'i686')
license=('GPL3')
makedepends=('cargo')
-depends=('bubblewrap' 'git' 'pacman' 'xz' 'openssl')
+depends=('bubblewrap' 'git' 'pacman' 'xz')
optdepends=(
- 'shellcheck: to check PKGBUILD scripts, taking care of special variables'
'bubblewrap-suid: version of bubblewrap that works on linux-hardened kernel'
+ 'shellcheck: check PKGBUILD scripts, taking care of special variables'
'sudo: package installation can be done via sudo, if convenient'
)